<app-sign-mode-header mode="single" multiLink="new-multi-sign"></app-sign-mode-header>

<ion-content>
    <ion-item lines="inset" *ngFor="let field of fields">
        <ion-grid>
            <ion-row>
                <ion-label color="medium">{{labels[field]}}</ion-label>
            </ion-row>
            <ion-row *ngIf="!['storage','owner'].includes(field)">
                <p>{{file[field]}}</p>
            </ion-row>
            <ion-row *ngIf="field=='storage'">
                <ion-select #storage [selectedText]="file[field]" interface="popover"
                    (ionChange)="setStorage(storage.value)">
                    <ion-select-option value="0" selected>Public</ion-select-option>
                    <ion-select-option value="1">Private</ion-select-option>
                </ion-select>
            </ion-row>
            <ion-row *ngIf="field=='owner'">
                <ion-item lines="none">
                    <ion-grid>
                        <ion-row>
                            <div>
                                <ion-input class="address owner" type="text" spellcheck="false"
                                    [value]="file.owner.publicKey" readonly="true">
                                </ion-input>
                            </div>
                        </ion-row>
                        <ion-row *ngIf="!file.owner.isRequireSignatureImg">
                            <ion-button class="btn-full-width" expand="full" (click)="toggleIsRequireSignatureImg()">
                                Requires signature image
                            </ion-button>
                        </ion-row>
                        <ion-row *ngIf="file.owner.isRequireSignatureImg">
                            <div class="owner-lower">
                                <ion-input class="nameBox" type="text" spellcheck="false" [(ngModel)]="file.owner.name"
                                    placeholder="Your Name">
                                </ion-input>
                                <div class="remove btnRight btnWhiteBlue" (click)="toggleIsRequireSignatureImg()" tappable>
                                    <ion-icon name="close"></ion-icon>
                                </div>
                            </div>
                        </ion-row>
                    </ion-grid>
                </ion-item>
            </ion-row>
        </ion-grid>
    </ion-item>
    <div id="btnSign" (click)="onSignDocument()" *ngIf="!isProcessing">
        <ion-button>Sign document</ion-button>
    </div>
    <div *ngIf="isProcessing" class="loading">
        <ion-spinner name="dots" color="primary"></ion-spinner>
    </div>
</ion-content>